<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include('config.php');

session_name($config_app_session);
session_start();

function valid_color($color, $default='888888') {
    // safe return a 6 character color string in uppercase
    // input can be length of 3 or 6
    if (! isset($color) or ! ctype_xdigit($color)) {
        return $default;
    }
    if(strlen($color) == 3) {
        // duplicate characters
        $col6 = '';
        for ($i=1; $i<=3; $i++) {
            $col6 .= $color[$i].$color[$i];
        }
        return strtoupper($col6);
    }
    return strtoupper($color);
}

$color = valid_color($_GET['color'], '444');
$image = imagecreatetruecolor($_SESSION['suser_imagesize'], $_SESSION['suser_imagesize']);
$color = imagecolorallocate($image, hexdec(substr($color,0,2)), hexdec(substr($color,2,2)), hexdec(substr($color,4,2)));
imagefill($image, 0, 0, $color);

header('Content-type: image/png');
imagepng($image);
imagedestroy($image);
